/***********************************************************************/
/*                                                                     */
/*                         C_data_user_double.c                        */
/*                                                                     */
/*  simple definition of a type corresponding to a standard C type     */
/*                                                                     */
/*  authors: D. Gaffe and A. Ressouche                                 */
/*                                                                     */
/*  version: 02/01/2019                                                */
/***********************************************************************/

#include <math.h>
#include "C_data_user_double.h"
#define C_DATA_USER_DOUBLE_EPSILON 0.000000001
const double zero_double=0.0;

int eq_double(double x,double y)
{
  return fabs(x-y) < C_DATA_USER_DOUBLE_EPSILON;
}

int neq_double(double x,double y)
{
  return fabs(x-y) >= C_DATA_USER_DOUBLE_EPSILON;
}

int lesseq_double(double x,double y)
{
  return (x < y) || eq_double(x,y);
}

int supeq_double(double x,double y)
{
  return (x > y) || eq_double(x,y);
}
